Visualizar os Brindes de uma loja
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/pricing/freebies/{id} \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/freebies/{id}"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/freebies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3976,
"active": true,
"store_id": 176851,
"name": "Teste docs",
"start_at": "2025-09-16",
"expires_at": "2025-09-16",
"resource_id": 9791068,
"resource_type": "product",
"rule": "always",
"min_quantity": 0,
"min_amount": 0,
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}Brindes
Visualizar os Brindes de uma loja
Retorna as informações de um Brinde cadastrado
GET
/
{alias}
/
pricing
/
freebies
/
{id}
Visualizar os Brindes de uma loja
Query Parameters
Incluir relacionamentos adicionais
Available options:
resource Response
Brinde encontrado com sucesso
Atributos do brinde
ID do brinde
Example:
3976
Indica se o brinde está ativo
Example:
true
ID da loja associada
Example:
176851
Nome do brinde
Example:
"Teste docs"
Data de início da oferta do brinde
Example:
"2025-09-16"
Data de expiração do brinde (se configurado)
Example:
"2025-09-16"
ID do produto ou SKU vinculado ao brinde
Example:
9791068
Pode ser produto ou SKU
Example:
"product"
Regra aplicada ao brinde
Example:
"always"
Quantidade mínima de produtos no carrinho para receber o brinde
Example:
0
Valor mínimo no carrinho para receber o brinde
Example:
0
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?